Page MenuHomePhabricator

Increase visibility of auto-generated tasks for RAID errors
Open, HighPublic

Description

We failed to track several auto-generated tasks for RAID errors, specially T215892: Degraded RAID on cloudvirt1024

Let's evaluate if we can increase the visibility of these auto-generated tasks by subscribing concrete people to the task, and adding the task to a concrete tag.

This is part of https://wikitech.wikimedia.org/wiki/Incident_documentation/20190213-cloudvps

Event Timeline

aborrero created this task.Feb 14 2019, 1:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2019, 1:02 PM
aborrero triaged this task as High priority.Feb 14 2019, 1:02 PM
aborrero moved this task from To Triage to Follow-up/Actionables on the Wikimedia-Incident board.
Volans added a subscriber: faidon.

We discussed this a little bit yesterday, and T216088 was filed to further discuss this. Help there is welcome :)

I wonder, until we sort all this out, could we perhaps address this underlying problem with a simple Herald rule?

For what is worth, I do have a Herald rule that automatically subscribes me to any degraded RAID ticket for the databases and that proved to be a good way to get my attention, as otherwise monitoring the Operations queue is hard and it is easy to miss things.

GTirloni removed a subscriber: GTirloni.Mar 21 2019, 9:06 PM
marilerr closed this task as Declined.Aug 24 2019, 3:22 AM
JJMC89 reopened this task as Open.Aug 24 2019, 3:23 AM
marilerr closed this task as Declined.Aug 24 2019, 3:28 AM
marilerr claimed this task.
marilerr raised the priority of this task from High to Unbreak Now!.
marilerr updated the task description. (Show Details)
marilerr removed subscribers: Marostegui, faidon, colewhite and 7 others.
JJMC89 reopened this task as Open.Aug 24 2019, 3:32 AM
JJMC89 removed marilerr as the assignee of this task.
JJMC89 lowered the priority of this task from Unbreak Now! to High.
JJMC89 updated the task description. (Show Details)
JJMC89 added subscribers: Marostegui, faidon, colewhite and 8 others.